# -*- encoding: utf-8 -*-
# stub: microformats 4.3.1 ruby lib

Gem::Specification.new do |s|
  s.name = "microformats".freeze
  s.version = "4.3.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Shane Becker".freeze, "Jessica Lynn Suttles".freeze, "Ben Roberts".freeze]
  s.date = "2021-05-03"
  s.description = "A Ruby gem to parse HTML containing microformats2 and classic microformats that returns a collection of dynamically defined Ruby objects, a Ruby hash, or a JSON hash.".freeze
  s.email = ["veganstraightedge@gmail.com".freeze, "jlsuttles@gmail.com".freeze, "ben@thatmustbe.me".freeze]
  s.executables = ["microformats".freeze]
  s.files = ["bin/microformats".freeze]
  s.homepage = "https://github.com/microformats/microformats-ruby".freeze
  s.licenses = ["CC0-1.0".freeze]
  s.post_install_message = "Prior to version 4.0.0, the microformats gem was named \"microformats2.\"".freeze
  s.required_ruby_version = Gem::Requirement.new([">= 2.4".freeze, "< 3.1".freeze])
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Microformats2 and classic microformats parser".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, [">= 1.16.2", "< 2.3"])
    s.add_development_dependency(%q<guard-rspec>.freeze, ["~> 4.7"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 12.3"])
    s.add_development_dependency(%q<rb-fsevent>.freeze, ["~> 0.10.3"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.8"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.74.0"])
    s.add_development_dependency(%q<rubocop-rspec>.freeze, ["~> 1.35"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.17.0"])
    s.add_development_dependency(%q<simplecov-console>.freeze, ["~> 0.5.0"])
    s.add_development_dependency(%q<webmock>.freeze, ["~> 3.6"])
    s.add_runtime_dependency(%q<json>.freeze, ["~> 2.2"])
    s.add_runtime_dependency(%q<nokogiri>.freeze, ["~> 1.10"])
  else
    s.add_dependency(%q<bundler>.freeze, [">= 1.16.2", "< 2.3"])
    s.add_dependency(%q<guard-rspec>.freeze, ["~> 4.7"])
    s.add_dependency(%q<rake>.freeze, ["~> 12.3"])
    s.add_dependency(%q<rb-fsevent>.freeze, ["~> 0.10.3"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.8"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.74.0"])
    s.add_dependency(%q<rubocop-rspec>.freeze, ["~> 1.35"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.17.0"])
    s.add_dependency(%q<simplecov-console>.freeze, ["~> 0.5.0"])
    s.add_dependency(%q<webmock>.freeze, ["~> 3.6"])
    s.add_dependency(%q<json>.freeze, ["~> 2.2"])
    s.add_dependency(%q<nokogiri>.freeze, ["~> 1.10"])
  end
end
